Package be.fgov.ehealth.hubservices.core.v2

# Class PutHCPartyConsentRequest

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.PutHCPartyConsentRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class PutHCPartyConsentRequest extends Object implements Serializable

Java class for PutHCPartyConsentRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PutHCPartyConsentRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v2}RequestType"/>
             <element name="consent" type="{http://www.ehealth.fgov.be/hubservices/core/v2}ConsentHCPartyType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PutHCPartyConsentRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsentHCPartyType`
  `getConsent()`
  Gets the value of the consent property.
  `RequestType`
  `getRequest()`
  Gets the value of the request property.
  `void`
  `setConsent(ConsentHCPartyType value)`
  Sets the value of the consent property.
  `void`
  `setRequest(RequestType value)`
  Sets the value of the request property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PutHCPartyConsentRequest

    public PutHCPartyConsentRequest()

- ## Method Details

  - ### getRequest

    public RequestType getRequest()
    Gets the value of the request property.
    Returns:
      possible object is `RequestType`

  - ### setRequest

    public void setRequest(RequestType value)
    Sets the value of the request property.
    Parameters:
      `value` - allowed object is `RequestType`

  - ### getConsent

    public ConsentHCPartyType getConsent()
    Gets the value of the consent property.
    Returns:
      possible object is `ConsentHCPartyType`

  - ### setConsent

    public void setConsent(ConsentHCPartyType value)
    Sets the value of the consent property.
    Parameters:
      `value` - allowed object is `ConsentHCPartyType`